Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CycleDataLockedStageReader< CycleDataType > Class Template Reference

This class is similar to CycleDataLockedReader, except it allows reading from a particular stage of the pipeline. More...

`#include "cycleDataLockedStageReader.h"`

## Public Member Functions
| CycleDataLockedStageReader (const CycleDataLockedStageReader< CycleDataType > &copy)
| CycleDataLockedStageReader (const PipelineCycler< CycleDataType > &cycler, int stage, Thread *current_thread=Thread::get_current_thread())
| CycleDataLockedStageReader (CycleDataLockedStageReader< CycleDataType > &&from) noexcept
Thread * | get_current_thread () const
| Returns the Thread pointer of the currently-executing thread, as passed to the constructor of this object.
| operator const CycleDataType * () const
| This allows the CycleDataLockedStageReader to be passed to any function that expects a const CycleDataType pointer.
const CycleDataType * | operator-> () const
| This provides an indirect member access to the actual CycleData data.
void | operator= (const CycleDataLockedStageReader< CycleDataType > &copy)
void | operator= (CycleDataLockedStageReader< CycleDataType > &&from) noexcept
const CycleDataType * | take_pointer ()
| This is intended to be called only from CycleDataStageWriter when it elevates the pointer from read to write status.

## Detailed Description

template<class CycleDataType>
class CycleDataLockedStageReader< CycleDataType >

This class is similar to CycleDataLockedReader, except it allows reading from a particular stage of the pipeline.

Definition at line 27 of file cycleDataLockedStageReader.h.

## Constructor & Destructor Documentation

## ◆ CycleDataLockedStageReader() [1/3]

template<class CycleDataType>

CycleDataLockedStageReader< CycleDataType >::CycleDataLockedStageReader | ( | const PipelineCycler< CycleDataType > & | cycler,
|  | int | stage,
|  | Thread * | current_thread = Thread::get_current_thread() )
| inline

Definition at line 161 of file cycleDataLockedStageReader.I.

## ◆ CycleDataLockedStageReader() [2/3]

template<class CycleDataType>

CycleDataLockedStageReader< CycleDataType >::CycleDataLockedStageReader | ( | const CycleDataLockedStageReader< CycleDataType > & | copy | ) |
| inline

Definition at line 171 of file cycleDataLockedStageReader.I.

## ◆ CycleDataLockedStageReader() [3/3]

template<class CycleDataType>

CycleDataLockedStageReader< CycleDataType >::CycleDataLockedStageReader | ( | CycleDataLockedStageReader< CycleDataType > && | from | ) |
| inline noexcept

Definition at line 181 of file cycleDataLockedStageReader.I.

## ◆ ~CycleDataLockedStageReader()

template<class CycleDataType>

CycleDataLockedStageReader< CycleDataType >::~CycleDataLockedStageReader | ( |  | ) |
| inline

Definition at line 213 of file cycleDataLockedStageReader.I.

## Member Function Documentation

## ◆ get_current_thread()

template<class CycleDataType>

Thread * CycleDataLockedStageReader< CycleDataType >::get_current_thread | ( |  | ) | const
| inline

Returns the Thread pointer of the currently-executing thread, as passed to the constructor of this object.

Definition at line 253 of file cycleDataLockedStageReader.I.

References Thread::get_current_thread.

## ◆ operator const CycleDataType *()

template<class CycleDataType>

CycleDataLockedStageReader< CycleDataType >::operator const CycleDataType * | ( |  | ) | const
| inline

This allows the CycleDataLockedStageReader to be passed to any function that expects a const CycleDataType pointer.

Definition at line 231 of file cycleDataLockedStageReader.I.

## ◆ operator->()

template<class CycleDataType>

const CycleDataType * CycleDataLockedStageReader< CycleDataType >::operator-> | ( |  | ) | const
| inline

This provides an indirect member access to the actual CycleData data.

Definition at line 221 of file cycleDataLockedStageReader.I.

## ◆ operator=() [1/2]

template<class CycleDataType>

void CycleDataLockedStageReader< CycleDataType >::operator= | ( | const CycleDataLockedStageReader< CycleDataType > & | copy | ) |
| inline

Definition at line 192 of file cycleDataLockedStageReader.I.

## ◆ operator=() [2/2]

template<class CycleDataType>

void CycleDataLockedStageReader< CycleDataType >::operator= | ( | CycleDataLockedStageReader< CycleDataType > && | from | ) |
| inline noexcept

Definition at line 201 of file cycleDataLockedStageReader.I.

## ◆ take_pointer()

template<class CycleDataType>

const CycleDataType * CycleDataLockedStageReader< CycleDataType >::take_pointer | ( |  | ) |
| inline

This is intended to be called only from CycleDataStageWriter when it elevates the pointer from read to write status.

This function returns the reader's pointer and relinquishes ownership of the pointer, rendering the reader invalid for future reads.

Definition at line 243 of file cycleDataLockedStageReader.I.

The documentation for this class was generated from the following files:

- panda/src/pipeline/cycleDataLockedStageReader.h
- panda/src/pipeline/cycleDataLockedStageReader.I